dubbo:
  registry:
    protocol: zookeeper
    address: 192.168.0.177:2181,192.168.0.178:2181,192.168.0.179:2181
spring:
  cloud:
    discovery:
      enabled: true
    zookeeper:
      connect-string: 192.168.0.177:2181,192.168.0.178:2181,192.168.0.179:2181
  data:
    mongodb:
      host: 192.168.0.177
      database: "tnb_content_tdb"
      authentication-database: admin
      username: test
      password: Test@123456
  redis:
    database: 0
    host: 192.168.0.177
    port: 6379
    password: Test@123456
  rabbitmq:
    addresses: 192.168.0.177:5672,192.168.0.178:5672,192.168.0.179:5672
    virtual-host: /
    username: test
    password: Test@123456
  shardingsphere:
    datasource:
      names: master,slave
      masterslave:
        name: ms
        master-data-source-name: master
        slave-data-source-names: slave
      master:
        type: com.zaxxer.hikari.HikariDataSource
        driver-class-name: com.mysql.cj.jdbc.Driver
        jdbc-url: jdbc:mysql://192.168.0.177/tnb_content_tdb?useSSL=false&useUnicode=true&characterEncoding=UTF-8&serverTimezone=GMT%2b8
        username: test
        password: Test@123456
      slave:
        type: com.zaxxer.hikari.HikariDataSource
        driver-class-name: com.mysql.cj.jdbc.Driver
        jdbc-url: jdbc:mysql://192.168.0.177/tnb_content_tdb?useSSL=false&useUnicode=true&characterEncoding=UTF-8&serverTimezone=GMT%2b8
        username: test
        password: Test@123456